[arvados] created: 2.7.0-6424-g8bb9525add
git repository hosting
git at public.arvados.org
Thu Apr 18 15:12:24 UTC 2024
at 8bb9525add13c7e757145c3d0b05cb6e6d06dd7f (commit)
commit 8bb9525add13c7e757145c3d0b05cb6e6d06dd7f
Author: Brett Smith <brett.smith at curii.com>
Date: Thu Apr 18 11:11:31 2024 -0400
21254: Add workaround for Bundler zlib bug
See comments for discussion.
Arvados-DCO-1.1-Signed-off-by: Brett Smith <brett.smith at curii.com>
diff --git a/build/rails-package-scripts/postinst.sh b/build/rails-package-scripts/postinst.sh
index e317f85aaf..b2d492332b 100644
--- a/build/rails-package-scripts/postinst.sh
+++ b/build/rails-package-scripts/postinst.sh
@@ -208,6 +208,17 @@ configure_version() {
run_and_report "Running bundle install" \
$COMMAND_PREFIX bin/bundle install --local --quiet
+ # As of April 2024/Bundler 2.4, for some reason `bundle install` skips
+ # zlib if it's already installed as a system-wide gem, which it often will
+ # be because arvados gems pull it in. If this happened, install it in the
+ # bundle manually as a workaround.
+ if ! $COMMAND_PREFIX bin/bundle info zlib >/dev/null 2>&1; then
+ run_and_report "Adding zlib to bundle" \
+ $COMMAND_PREFIX gem install \
+ --install-dir="$SHARED_PATH/vendor_bundle/ruby/$(ruby -e 'puts RUBY_VERSION')" \
+ vendor/cache/zlib-*.gem
+ fi
+
echo -n "Ensuring directory and file permissions ..."
# Ensure correct ownership of a few files
chown "$WWW_OWNER:" $RELEASE_PATH/config/environment.rb
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list